=== debian/changelog ===
geos (3.6.2-1build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:11 +0000

geos (3.6.2-1build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:13:45 +0000

geos (3.6.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Add some Multi-Arch fields suggested by Multiarch hinter.
    (LP: #1731706)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Dec 2017 09:54:46 +0100

geos (3.6.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from 3.5.1.
  * Refresh patches.
  * Update symbols for amd64.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Dec 2017 17:42:33 +0100

geos (3.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Remove disabled PHP support, has split off into separate upstream project.
  * Drop ruby build dependency, pulled in via ruby-all-dev.
  * Update copyright file, changes:
    - Add Daniel Baston & Nyall Dawson to copyright holders
  * Drop isnan patches, applied upstream. Refresh remaining patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Oct 2016 19:32:54 +0200

geos (3.5.1-4) unstable; urgency=medium

  * Ignore test failures on problematic architectures only.
  * Strip trailing whitespace from changelog, control & rules files.
  * Add patch to fix empty GEOSSimplify return on inner ring collapse.
  * Change priority for libgeos-dbg from extra to optional.
  * Bump Standards-Version to 4.1.1, changes: priority.
  * Add lintian override for debian-watch-uses-insecure-uri.
  * Drop obsolete dbg package.
  * Add autopkgtest to test installability.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Nov 2017 20:12:26 +0100

geos (3.5.1-3) unstable; urgency=medium

  * Fix architectures for getGeometryN(unsigned long) symbol.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 10:09:15 +0100

geos (3.5.1-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 08:57:24 +0100
