=== debian/changelog ===
geos (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Sep 2018 07:38:23 +0200

geos (3.7.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Sep 2018 07:13:27 +0200

geos (3.7.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Aug 2018 14:30:47 +0200

geos (3.7.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.2.0, no changes.
  * Add Mateusz Loskot to copyright holders.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Aug 2018 09:09:40 +0200

geos (3.7.0~beta1-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Use filter instead of findstring to prevent partial matches.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 16:18:56 +0200

geos (3.7.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Ignore test failures on riscv64 too.
  * Drop patches applied upstream, refresh remaining patch.
  * Update README filename in docs file.
  * Update symbols for 3.7.0~beta1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Jun 2018 22:00:03 +0200

geos (3.7.0~alpha-1~exp1) experimental; urgency=medium

  * New upstream alpha release.
  * Update copyright-format URL to use HTTPS.
  * Don't use libjs-jquery for Doxygen docs.
  * Bump Standards-Version to 4.1.4, no changes.
  * Fix deprecated source override location.
  * Update watch file to use HTTPS.
  * Ignore test failures on ia64 too.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from changelog, control & rules files.
  * Rename library package for version bump.
  * Drop control.in template, update library version manually.
  * Refresh patches.
  * Update upstream metadata for move to git.
  * Update copyright file, changes:
    - Add additional copyright holders
    - Update email address for Sandro Santilli
  * Add patch to fix check-local failure when quilt patches are applied.
  * Use DEB_CXXFLAGS_MAINT_PREPEND instead of a custom CXX.
  * Update symbols for 3.7.0~alpha.
  * Add patch to strip pre-release from library filename.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jun 2018 09:17:25 +0200
