=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: geos
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -11,9 +10,9 @@
                pkg-kde-tools,
                ruby-all-dev,
                swig
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/geos.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/geos.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
+Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
 
 Package: libgeos-dev
@@ -33,7 +32,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-3.6.2 (= ${binary:Version}),
+Depends: libgeos-3.7.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -73,7 +72,7 @@
  This package contains the C library. A C++ library is provided
  by the libgeos-* package.
 
-Package: libgeos-3.6.2
+Package: libgeos-3.7.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -101,8 +100,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-jquery,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: libgeos-dev (= ${binary:Version})
 Description: Documentation for the GEOS GIS geometry engine library
  GEOS provides a spatial object model and fundamental geometric
@@ -127,4 +125,3 @@
  OpenGIS Consortium Simple Features Specification for SQL.
  .
  This package contains the Ruby bindings for GEOS.
-
